<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package cgs-vinyl
 */
?>

<footer id="colophon" class="site-footer">
	<div class="top-footer">
		<div class="container">
			<div class="top-footer-top-bar">
				<div class="row align-items-center">
					<div class="col-sm-6">
						<?php
						the_custom_logo();
						?>
					</div>
					<div class="col-sm-6">
						<div class="footer-socials">
							<ul>
								<?php 
								$facebook_url  = get_field('facebook_url','option');
								if(!empty($facebook_url)){
									?>
									<li>
										<a href="<?php echo esc_url($facebook_url['url']); ?>" title="<?php echo esc_attr($facebook_url['title']); ?>" target="<?php echo esc_attr($facebook_url['target']); ?>">
											<span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/Facebook.svg');"></span>
										</a>
									</li>
									<?php 
								} 
								$instagram_url = get_field('instagram_url','option'); 
								if(!empty($instagram_url)){	
									?>
									<li>
										<a href="<?php echo esc_url($instagram_url['url']); ?>" title="<?php echo esc_attr($instagram_url['title']); ?>" target="<?php echo esc_attr($instagram_url['target']); ?>">
											<span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/Instagram.svg');"></span>
										</a>
									</li>
									<?php 
								} ?>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<?php 
			$email 			        = get_field('email','option');
			$phone_number 	        = get_field('phone_number','option');
			$address 		        = get_field('address','option');
			$google_map_iframe      = get_field('email','option');
			$footer_content         = get_field('footer_content','option');
					
			if(!empty($email) || !empty($phone_number) || !empty($address) || !empty($footer_content) || !empty($website_design_content)){
			?>
				<div class="footer-content">
					<div class="row">
						<div class="col-lg-4">
							<div class="footer-about">
								<?php 
								if(!empty($footer_content)){
									?>
									<div class="footer-about-text opacity-07">
										<?php echo wp_kses_post($footer_content); ?>
									</div>
									<?php 
								} ?>
								<ul>
									<?php 
									if(!empty($phone_number)){
										?>
										<li>
											<a title="<?php echo esc_attr($phone_number['title']); ?>" href="<?php echo esc_url($phone_number['url']); ?>">
												<span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/phone.svg'); width: 19px; height: 20px;"></span>
												<span class="callus"><?php echo esc_html($phone_number['title']); ?></span>
											</a>
										</li>
										<?php 
									} if(!empty($email)){
										?>
										<li>
											<a title="<?php echo esc_attr($email); ?>" href="mailto:<?php echo $email; ?>">
												<span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/mail.svg'); width: 22px; height: 18px;"></span>
												<?php echo esc_html($email); ?>
											</a>
										</li>
										<?php 
									} if(!empty($address)){ 
									?>
										<li>
											<a title="<?php echo esc_attr($address['title']); ?>" target="<?php echo esc_attr($address['target']); ?>" href="<?php echo esc_url($address['url']); ?>">
												<span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/maps.svg'); width: 18px; height: 22px;"></span>
												<?php echo esc_html($address['title']); ?>
											</a>
										</li>
										<?php 
									} ?>
								</ul>
							</div>
						</div>
						<?php 
						$services_menu_label   = get_field('services_menu_label','option');
						$naviagtion_menu_label = get_field('naviagtion_menu_label','option');
						?>
						<div class="col-lg-4 order-lg-1 order-2">
							<div class="footer-menu-wp white-text">
								<div class="footer-menu">
									<?php echo (!empty($naviagtion_menu_label))? '<h6 class="h6-title">'.esc_html($naviagtion_menu_label).'</h6>':'';?>
									<?php wp_nav_menu(array('theme_location' => 'footer-navigation-menu',)); ?>
								</div>
								<div class="footer-menu">
									<?php echo (!empty($services_menu_label))? '<h6 class="h6-title">'.esc_html($services_menu_label).'</h6>':'';?>
									<?php wp_nav_menu(array('theme_location' => 'footer-services-menu',)); ?>
								</div>
							</div>
						</div>
						<?php 
						$google_map_iframe = get_field('google_map_iframe','option');
						if(!empty($google_map_iframe)){
							?>
							<div class="col-lg-4 order-lg-2 order-1">
								<div class="site-map">
									<?php echo $google_map_iframe; ?>
								</div>
							</div>
							<?php 
						} ?>
					</div>
				</div>
				<?php 
			} ?>
		</div>
	</div>
	<div class="footer-bottom-box">
		<div class="container">
			<div class="row align-items-center">
				<div class="col-12">
					<div class="footer-bottom-text">
						<?php 
						$site_name_bottom_footer = get_field('site_name_bottom_footer','option');
						if(!empty($site_name_bottom_footer)){
							?>
							<div class="copy-right">
								<p>© <?php echo date('Y'); ?> <?php echo esc_html($site_name_bottom_footer); ?></p>
							</div>
							<?php 
						} ?>
						<div class="footer-bottom-link">
							<?php
							wp_nav_menu(array('theme_location' => 'footer-policies-menu',));
							?>
						</div>
						<?php 
						$website_design_content = get_field('website_design_content','option');
						if(!empty($website_design_content)){
							?>
							<div class="footer-other-link">
								<?php echo wp_kses_post($website_design_content); ?>
							</div>
							<?php 
						} ?>
					</div>
				</div>
			</div>
			<?php
			$footer_seo_button_label	= get_field("footer_seo_button_label", "option");
			if (is_page_template('template-seo.php') || is_archive() || is_author() || is_category() || is_home() || is_single() || is_tag()) { ?>
				<div class="row">
					<div class="col-lg-12">
						<div class="footer-last">
							<?php
							if (!empty($footer_seo_button_label)) { ?>
								<span class="text view_services_text" id="view_all_services" title="<?php echo esc_attr($footer_seo_button_label); ?>"><?php echo esc_html($footer_seo_button_label); ?></span>
							<?php } ?>
							<div class="all-services">
								<?php
								wp_nav_menu(array('theme_location' => 'seo-menu'));
								?>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</footer>
</div>
<?php wp_footer(); ?>

<!-- Modal -->
<?php 
$front_page_id = get_option('page_on_front');

$home_join_our_team_apply_now_form = get_field('home_join_our_team_apply_now_form',$front_page_id);
$home_join_our_team_form_title     = get_field('home_join_our_team_form_title',$front_page_id);

if(!empty($home_join_our_team_apply_now_form)){
?>
	<div class="modal common-popup" id="apply_now">
		<div class="modal-dialog">
			<div class="modal-content bg-white">
				<div class="popup-title">
					<?php
					if (!empty($home_join_our_team_form_title)) { ?>
						<h2 class="h2-title"><?php echo esc_html($home_join_our_team_form_title); ?></h2><?php
						}																	?>
					<button type="button" class="close close-popup" data-bs-dismiss="modal"><i class="fas fa-times" aria-hidden="true"></i></button>
				</div>
				<div class="common-popup-overflow">
					<div class="common-popup-text" data-bs-simplebar>
						<div class="contact-form">
							<?php
							echo do_shortcode('[contact-form-7 id="' . $home_join_our_team_apply_now_form->ID . '" title="' . $home_join_our_team_apply_now_form->post_title . '"]');
							?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Modal -->
	<?php 
} ?>

</body>

</html>