<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package cgs-vinyl
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="< ?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <link rel="preload" href="< ?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/fonts/Poppins-Light.woff2"
        as="font" type="font/woff2" crossorigin>
    <link rel="preload" href="< ?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/fonts/Poppins-Regular.woff2"
        as="font" type="font/woff2" crossorigin>
    <link rel="preload" href="< ?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/fonts/Poppins-Medium.woff2"
        as="font" type="font/woff2" crossorigin>
    <link rel="preload"
        href="< ?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/fonts/Poppins-SemiBold.woff2" as="font"
        type="font/woff2" crossorigin>
    <link rel="preload" href="< ?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/fonts/Poppins-Bold.woff2"
        as="font" type="font/woff2" crossorigin>
    <link rel="preload"
        href="< ?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/fonts/Poppins-ExtraBold.woff2" as="font"
        type="font/woff2" crossorigin>
    <?php wp_head(); ?>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-HGEW7FRXC6"></script>
    <script>
    window.dataLayer = window.dataLayer || [];

    function gtag() {
        dataLayer.push(arguments);
    }
    gtag('js', new Date());

    gtag('config', 'G-HGEW7FRXC6');
    </script>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
    <div id="page" class="site">
        <header id="masthead" class="site-header">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3">
                        <div class="site-branding for-des-flex">
                            <?php
							the_custom_logo();
							?>
                        </div>
                        <div class="site-branding for-mob-flex">
                            <img src="<?php echo home_url() ?>/wp-content/uploads/2025/04/Logo_mob.svg" alt="Logo"
                                width="74" height="60">
                        </div>
                    </div>
                    <?php
					$request_button_label = get_field('request_button_label', 'option');
					$request_button_url = get_field('request_button_url', 'option');
					?>
                    <div class="col-lg-9">
                        <div class="header-menu bg-white">
                            <nav id="site-navigation" class="main-navigation">
                                <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </button>
                                <div class="header-mobile-menu">
                                    <?php
									wp_nav_menu(
										array(
											'theme_location' => 'menu-1',
											'menu_id' => 'primary-menu',
										)
									);
									?>
                                    <?php
									if (!empty($request_button_label) && !empty($request_button_url)) {
										?>
                                    <div class="header-btn">
                                        <a href="<?php echo esc_url($request_button_url) ?>" class="sec-btn"
                                            title="<?php echo esc_attr(ucwords(strtolower($request_button_label))); ?>"><?php echo esc_html($request_button_label); ?></a>
                                    </div>
                                    <?php
									} ?>
                                </div>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- END OF HEADER -->