<?php
$home_banner_title = get_field('home_banner_title');
$home_banner_background_image = get_field('home_banner_background_image');
$home_banner_image = get_field('home_banner_image');
$home_banner_top_image = get_field('home_banner_top_image');
$home_banner_content = get_field('home_banner_content');

$request_button_label = get_field('request_button_label', 'option');
$request_button_url = get_field('request_button_url', 'option');
$phone_number = get_field('phone_number', 'option');
$phone_number_label = get_field('phone_number_label', 'option');


if (!empty($home_banner_title) || !empty($home_banner_background_image) || !empty($home_banner_image) || !empty($home_banner_content)) {
?>
    <section class="main-banner back-img" <?php echo esc_url($home_banner_background_image) ? "style='background-image: url(" . esc_url($home_banner_background_image) . ");'" : "" ?>>
        <div class="container">
            <div class="banner-content-wp">
                <?php
                if (!empty($home_banner_top_image)) {
                ?>
                    <img src="<?php echo esc_url($home_banner_top_image['url']); ?>" class="pain-is-dead"
                        width="<?php echo esc_attr($home_banner_top_image['width']); ?>"
                        height="<?php echo esc_attr($home_banner_top_image['height']); ?>"
                        alt="<?php echo esc_attr($home_banner_top_image['alt']); ?>">
                <?php
                } ?>
                <div class="row">
                    <div class="col-lg-5 order-lg-1 order-2 align-self-center">
                        <div class="banner-content wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                            <div class="white-text">
                                <?php echo (!empty($home_banner_title)) ? '<h1 class="h1-title">' . wp_kses($home_banner_title, array('span' => array())) . '</h1>' : '';
                                if (!empty($home_banner_content)) {
                                ?>
                                    <div class="body-xl">
                                        <?php echo wp_kses_post($home_banner_content) ?>
                                    </div>
                                <?php
                                }
                                if (!empty($phone_number) || !empty($request_button_url)) {
                                ?>
                                    <div class="banner-btn">
                                        <?php
                                        if (!empty($request_button_label) && !empty($request_button_url)) {
                                        ?>
                                            <a href="<?php echo esc_url($request_button_url); ?>" class="sec-btn"
                                                title="<?php echo esc_attr(ucfirst(strtolower($request_button_label))); ?>"><?php echo esc_html($request_button_label); ?></a>
                                        <?php
                                        }
                                        if (!empty($phone_number) && !empty($phone_number_label)) { ?>
                                            <a href="<?php echo esc_url($phone_number['url']); ?>" class="sec-btn transparent-btn"
                                                title="<?php echo esc_attr(ucfirst(strtolower($phone_number_label))); ?>"><?php echo esc_html($phone_number_label); ?></a>
                                        <?php
                                        } ?>
                                    </div>
                                <?php
                                } ?>
                            </div>
                        </div>
                    </div>
                    <?php
                    if (!empty($home_banner_image)) {
                    ?>
                        <div class="col-lg-7 order-lg-2 order-1">
                            <div class="hero-image wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                <img src="<?php echo esc_url($home_banner_image['url']); ?>" class="pain-is-dead"
                                    width="<?php echo esc_attr($home_banner_image['width']); ?>"
                                    height="<?php echo esc_attr($home_banner_image['height']); ?>"
                                    alt="<?php echo esc_attr($home_banner_image['alt']); ?>">
                            </div>
                        </div>
                    <?php
                    } ?>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF MAIN BANNER -->
<?php
$home_banner_about_title = get_field('home_banner_about_title');
$home_banner_about_button_text = get_field('home_banner_about_button_text');
$home_banner_about_button_url = get_field('home_banner_about_button_url');
$home_banner_about_video_url = get_field('home_banner_about_video_url');
$home_banner_about_content = get_field('home_banner_about_content');

if (!empty($home_banner_about_title) || !empty($home_banner_about_button_text) || !empty($home_banner_about_button_url) || !empty($home_banner_about_video_url) || !empty($home_banner_about_content)) {
?>
    <section class="about-us bg-white">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 align-self-center">
                    <div class="about-us-content wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php echo (!empty($home_banner_about_title)) ? '<h2 class="h2-title">' . wp_kses($home_banner_about_title, array('span' => array())) . '</h2>' : '';
                        if ((!empty($home_banner_about_content))) { ?>
                            <div class="body-l">
                                <?php
                                echo wp_kses_post($home_banner_about_content);
                                ?>
                            </div>
                        <?php
                        }
                        if (have_rows('home_banner_about_achievements')) {
                        ?>
                            <div id="counter" class="achievements-wp">
                                <?php
                                while (have_rows('home_banner_about_achievements')) {
                                    the_row();

                                    $achievement_data = get_sub_field('achievement_data');
                                    $achievement_description = get_sub_field('achievement_description');

                                    if (!empty($achievement_data)) {
                                ?>
                                        <div class="achievement">
                                            <?php
                                            $data = split_string($achievement_data);
                                            ?>
                                            <h3 class="h3-title">
                                                <span class="counting"
                                                    data-count="<?php echo esc_attr($data['number']); ?>">0</span><?php echo esc_html($data['character']); ?>
                                            </h3>
                                            <?php
                                            echo (!empty($achievement_description)) ? "<p>" . wp_kses($achievement_description, array('span' => array())) . "</p>" : '';
                                            ?>
                                        </div>
                                <?php
                                    }
                                } ?>
                            </div>
                        <?php
                        }
                        if (!empty($home_banner_about_button_url) && !empty($home_banner_about_button_text)) {
                        ?>
                            <a href="<?php echo esc_url($home_banner_about_button_url); ?>" class="sec-btn black-btn"
                                title="<?php echo esc_attr(ucwords(strtolower(strip_tags($home_banner_about_button_text . ", " . $home_banner_about_title)))); ?>"><?php echo esc_html($home_banner_about_button_text); ?></a>
                        <?php
                        } ?>
                    </div>
                </div>
                <?php
                if (!empty($home_banner_about_video_url)) {
                ?>
                    <div class="col-lg-6">
                        <div class="about-video-wp wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                            <div class="about-video">
                                <video loop muted autoplay src="<?php echo esc_url($home_banner_about_video_url); ?>"></video>

                                <div class="about-review">
                                    <span class="review-icon">“</span>
                                    <?php
                                    $args = array(
                                        'post_type' => 'testimonial',
                                        'post_status' => 'publish',
                                        'meta_key' => 'featured_post',
                                        'meta_value' => '1',
                                        'posts_per_page' => 1,
                                    );
                                    $query = new WP_Query($args);

                                    if ($query->have_posts()) {
                                        while ($query->have_posts()) {
                                            $query->the_post();
                                    ?>
                                            <div class="about-review-content overflow-text" data-simplebar>
                                                <div class="body-l">
                                                    <?php the_content(); ?>
                                                </div>
                                            </div>
                                            <div class="review-auth">
                                                <div class="body-l">
                                                    <p><?php the_title(); ?></p>
                                                </div>
                                            </div>
                                    <?php
                                        }
                                    }
                                    wp_reset_postdata();
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF ABOUT US -->
<?php


$home_services_title = get_field('home_services_title');
$home_services_content = get_field('home_services_content');
$home_services_image = get_field('home_services_image');

$home_service_point_1 = get_field('home_service_point_1');
$home_service_point_2 = get_field('home_service_point_2');
$home_service_point_3 = get_field('home_service_point_3');
$home_service_point_4 = get_field('home_service_point_4');
$home_service_point_5 = get_field('home_service_point_5');

$home_service_point_1_url = get_field('home_service_point_1_url');
$home_service_point_2_url = get_field('home_service_point_2_url');
$home_service_point_3_url = get_field('home_service_point_3_url');
$home_service_point_4_url = get_field('home_service_point_4_url');
$home_service_point_5_url = get_field('home_service_point_5_url');

if (!empty($home_services_title) || !empty($home_services_content) || !empty($home_services_image)) {
?>
    <section class="home-services" id="services">
        <div class="services-intro">
            <div class="container">
                <div class="sec-title wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                    <?php echo (!empty($home_services_title)) ? '<h2 class="h2-title">' . wp_kses($home_services_title, array('span' => array())) . '</h2>' : '';
                    if ($home_services_content) {
                        echo wp_kses_post($home_services_content);
                    } ?>
                </div>
                <?php
                if ($home_services_image) {
                ?>
                    <div class="services-list wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s">
                        <img src="<?php echo esc_url($home_services_image); ?>" width="719" height="427"
                            alt="Services we provide">
                        <div class="services-list-items">
                            <?php
                            if (!empty($home_service_point_1) && !empty($home_service_point_1_url)) {
                            ?>
                                <div class="services-item-content">
                                    <a href="<?php echo esc_url($home_service_point_1_url); ?>" class="sec-btn transparent-btn"
                                        title="<?php echo esc_attr($home_service_point_1); ?>"><span><?php echo esc_html($home_service_point_1); ?></span></a>
                                    <img src="<?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/images/ceramic-indicator.svg"
                                        height="86" width="178" alt="Ceramic Indicator">
                                </div>
                            <?php
                            }
                            if (!empty($home_service_point_2) && !empty($home_service_point_2_url)) {
                            ?>
                                <div class="services-item-content">
                                    <a href="<?php echo esc_url($home_service_point_2_url); ?>" class="sec-btn transparent-btn"
                                        title="<?php echo esc_attr($home_service_point_2); ?>"><span><?php echo esc_html($home_service_point_2); ?></span></a>
                                    <img src="<?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/images/graphic-indicator.svg"
                                        height="81" width="171" alt="Graphic Indicator">
                                </div>
                            <?php
                            }
                            if (!empty($home_service_point_3) && !empty($home_service_point_3_url)) {
                            ?>
                                <div class="services-item-content">
                                    <a href="<?php echo esc_url($home_service_point_3_url); ?>" class="sec-btn transparent-btn"
                                        title="<?php echo esc_attr($home_service_point_3); ?>"><span><?php echo esc_html($home_service_point_3); ?></span></a>
                                    <img src="<?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/images/tinting-indicator.svg"
                                        height="109" width="210" alt="Tinting Indicator">
                                </div>
                            <?php
                            }
                            if (!empty($home_service_point_4) && !empty($home_service_point_4_url)) {
                            ?>
                                <div class="services-item-content">
                                    <a href="<?php echo esc_url($home_service_point_4_url); ?>" class="sec-btn transparent-btn"
                                        title="<?php echo esc_attr($home_service_point_4); ?>"><span><?php echo esc_html($home_service_point_4); ?></span></a>
                                    <img src="<?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/images/vehicle-wrap-indicator.svg"
                                        height="87" width="209" alt="Vehicle Wrap Indicator">
                                </div>
                            <?php
                            }
                            if (!empty($home_service_point_5) && !empty($home_service_point_5_url)) {
                            ?>
                                <div class="services-item-content">
                                    <a href="<?php echo esc_url($home_service_point_5_url); ?>" class="sec-btn transparent-btn"
                                        title="<?php echo esc_attr($home_service_point_5); ?>"><span><?php echo esc_html($home_service_point_5); ?></span></a>
                                    <img src="<?php echo home_url(); ?>/wp-content/themes/cgs-vinyl/assets/images/film-indicator.svg"
                                        height="87" width="209" alt="Film Indicator">
                                </div>
                            <?php
                            } ?>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
        </div>
        <?php
        if (have_rows('home_services_list')) {
        ?>
            <div class="home-services-wp">
                <?php
                while (have_rows('home_services_list')) {
                    the_row();

                    $home_service_list_logo = get_sub_field('home_service_list_logo');
                    $home_service_list_title = get_sub_field('home_service_list_title');
                    $home_service_list_content = get_sub_field('home_service_list_content');
                    $home_service_list_image = get_sub_field('home_service_list_image');
                    $home_service_list_button_title = get_sub_field('home_service_list_button_title');
                    $home_service_list_button_url = get_sub_field('home_service_list_button_url');

                    if (!empty($home_service_list_title) || !empty($home_service_list_content) || !empty($home_service_list_image)) {

                        if (get_row_index() % 2 !== 0) {
                ?>
                            <div class="home-service vehicle-wraps bg-white">
                                <div class="container">
                                    <div class="row gx-0">
                                        <div class="col-lg-6 align-self-center">
                                            <div class="service-content wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                                <?php echo (!empty($home_service_list_title)) ? '<h2 class="h2-title">' . wp_kses($home_service_list_title, array('span' => array())) . '</h2>' : '';
                                                if (!empty($home_service_list_content)) {
                                                ?>
                                                    <div class="body-l">
                                                        <?php echo wp_kses_post($home_service_list_content); ?>
                                                    </div>
                                                <?php
                                                }
                                                if (!empty($home_service_list_button_title) && !empty($home_service_list_button_url)) {
                                                ?>
                                                    <a href="<?php echo esc_url($home_service_list_button_url); ?>" class="sec-btn black-btn"
                                                        title="<?php echo esc_attr(ucwords(strtolower(strip_tags($home_service_list_button_title . ', ' . ($home_service_list_title))))); ?>"><?php echo esc_html($home_service_list_button_title); ?></a>
                                                <?php
                                                } ?>
                                            </div>
                                        </div>
                                        <?php
                                        if (!empty($home_service_list_image)) {
                                        ?>
                                            <div class="col-lg-6">
                                                <div class="service-img wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                                    <img src="<?php echo esc_url($home_service_list_image['url']); ?>" width="730" height="794"
                                                        alt="<?php echo esc_attr($home_service_list_image['alt']); ?>">
                                                </div>
                                            </div>
                                        <?php
                                        } ?>
                                    </div>
                                </div>
                            </div>
                        <?php
                        } else { ?>
                            <div class="home-service paint-protection">
                                <div class="container">
                                    <div class="row gx-0">
                                        <?php
                                        if (!empty($home_service_list_image)) {
                                        ?>
                                            <div class="col-lg-6">
                                                <div class="service-img wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                                    <img src="<?php echo esc_url($home_service_list_image['url']); ?>"
                                                        width="<?php echo esc_attr($home_service_list_image['width']); ?>"
                                                        height="<?php echo esc_attr($home_service_list_image['height']); ?>"
                                                        alt="<?php echo esc_attr($home_service_list_image['alt']); ?>">
                                                </div>
                                            </div>
                                        <?php
                                        } ?>
                                        <div class="col-lg-6 align-self-center">
                                            <div class="service-content wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                                <?php
                                                if (!empty($home_service_list_logo)) {
                                                ?>
                                                    <div class="brand-logo">
                                                        <img src="<?php echo esc_url($home_service_list_logo['url']); ?>"
                                                            width="<?php echo esc_attr($home_service_list_logo['width']); ?>"
                                                            height="<?php echo esc_attr($home_service_list_logo['height']); ?>"
                                                            alt="<?php echo esc_attr($home_service_list_logo['alt']); ?>">
                                                    </div>
                                                <?php
                                                } ?>
                                                <?php echo (!empty($home_service_list_title)) ? '<h2 class="h2-title">' . wp_kses($home_service_list_title, array('span' => array())) . '</h2>' : '';
                                                if (!empty($home_service_list_content)) {
                                                ?>
                                                    <div class="body-l">
                                                        <?php echo wp_kses_post($home_service_list_content); ?>
                                                    </div>
                                                <?php
                                                }
                                                if (!empty($home_service_list_button_title) && !empty($home_service_list_button_url)) {
                                                ?>
                                                    <a href="<?php echo esc_url($home_service_list_button_url); ?>"
                                                        class="sec-btn transparent-btn"
                                                        title="<?php echo esc_attr(ucwords(strtolower((strip_tags($home_service_list_button_title . ', ' . $home_service_list_title))))); ?>"><?php echo esc_html($home_service_list_button_title); ?></a>
                                                <?php
                                                } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                <?php
                        }
                    }
                } ?>
            </div>
        <?php
        } ?>
    </section>
    <!-- END OF SERVICE SECTION -->
<?php
}

get_template_part('template-parts/content', 'customer-testimonials');
//END OF TESTIMONIAL

$home_faqs_title = get_field('home_faqs_title');
$home_faqs_content = get_field('home_faqs_content');
$home_faqs_button_text = get_field('home_faqs_button_text');
$home_faqs_button_url = get_field('home_faqs_button_url');

if (have_rows('home_faqs_question_answers_list')) {
?>
    <section class="faq-sec bg-white" id="faqs">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="faq-box-content">
                        <div class="sec-title wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                            <?php echo (!empty($home_faqs_title)) ? '<h2 class="h2-title">' . esc_html($home_faqs_title) . '</h2>' : '';
                            if (!empty($home_faqs_content)) {
                            ?>
                                <div class="body-l">
                                    <?php echo wp_kses_post($home_faqs_content); ?>
                                </div>
                            <?php
                            }
                            if (!empty($home_faqs_button_text) && !empty($home_faqs_button_url)) {
                            ?>
                                <a href="<?php echo esc_url($home_faqs_button_url); ?>" class="sec-btn"
                                    title="<?php echo esc_attr(ucwords(strtolower($home_faqs_button_text))); ?>"><?php echo esc_html($home_faqs_button_text); ?></a>
                            <?php
                            } ?>
                        </div>
                        <div class="faq-box-wp wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s">
                            <?php
                            while (have_rows('home_faqs_question_answers_list')) {
                                the_row();
                                $faqs_questions = get_sub_field('faqs_questions');
                                $faqs_answers = get_sub_field('faqs_answers');

                                if (!empty($faqs_questions) || !empty($faqs_answers)) {
                            ?>
                                    <div class="faq-box">
                                        <?php
                                        if (!empty($faqs_questions)) {
                                        ?>
                                            <h6 class="h6-title faq-title"><?php echo esc_html($faqs_questions); ?>
                                                <span><svg width="22" height="13" viewBox="0 0 22 13" fill="none">
                                                        <path
                                                            d="M20.3335 1.59263L11.3764 11.8292C11.1772 12.0569 10.8231 12.0569 10.6239 11.8292L1.66683 1.59263"
                                                            stroke-width="2" stroke-linecap="round" />
                                                    </svg>
                                                </span>
                                            </h6>
                                        <?php
                                        }
                                        if (!empty($faqs_answers)) {
                                        ?>
                                            <div class="faq-content">
                                                <?php echo wp_kses_post($faqs_answers); ?>
                                            </div>
                                        <?php
                                        } ?>
                                    </div>
                            <?php
                                }
                            } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF FAQ SECTION -->
<?php
} ?>

<?php get_template_part('template-parts/content', 'certification-awards') ?>
<!-- END OF AWARDS -->
<?php
$home_join_our_team_title = get_field('home_join_our_team_title');
$home_join_our_team_button_text = get_field('home_join_our_team_button_text');
$home_join_our_team_image = get_field('home_join_our_team_image');
$home_join_our_team_content = get_field('home_join_our_team_content');

if (!empty($home_join_our_team_title) || !empty($home_join_our_team_image) || !empty($home_join_our_team_content)) {
?>
    <section class="join-team" id="careers">
        <div class="stripe"></div>
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <?php
                    if (!empty($home_join_our_team_image)) {
                    ?>
                        <div class="join-team-section wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                            <img src="<?php echo esc_url($home_join_our_team_image['url']); ?>"
                                width="<?php echo esc_attr($home_join_our_team_image['width']); ?>"
                                height="<?php echo esc_attr($home_join_our_team_image['height']); ?>"
                                alt="<?php echo esc_attr($home_join_our_team_image['alt']); ?>">
                        </div>
                    <?php
                    } ?>
                </div>
                <div class="col-md-6 align-self-center">
                    <div class="join-team-content white-text wow right-animation" data-wow-duration=".8s"
                        data-wow-delay=".2s">
                        <?php echo (!empty($home_join_our_team_title)) ? '<h2 class="h2-title">' . esc_html($home_join_our_team_title) . '</h2>' : '';
                        if (!empty($home_join_our_team_content)) {

                            echo wp_kses_post($home_join_our_team_content);
                        }
                        if (!empty($home_join_our_team_button_text)) {
                        ?>
                            <button type="button" data-bs-toggle="modal" data-bs-target="#apply_now" class="sec-btn"
                                title="<?php echo esc_attr(ucfirst(strtolower($home_join_our_team_button_text))); ?>"><?php echo esc_html($home_join_our_team_button_text); ?></button>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF JOIN OUR TEAM -->
<?php
}
$home_instagram_feed_title = get_field('home_instagram_feed_title');
$home_instagram_feed_content = get_field('home_instagram_feed_content');
$home_instagram_data = get_field('home_instagram_data');

if (!empty($home_instagram_data)) {
?>
    <section class="instagram-handle bg-white">
        <div class="container">
            <div class="sec-title wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                <?php echo (!empty($home_instagram_feed_title)) ? '<h2 class="h2-title">' . wp_kses($home_instagram_feed_title, array('span' => array())) . '</h2>' : '';
                if (!empty($home_instagram_data)) {
                ?>
                    <div class=" body-l">
                        <?php echo wp_kses_post($home_instagram_feed_content); ?>
                    </div>
                <?php
                } ?>
            </div>
            <div class="instagram-slider wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s">
                <?php echo do_shortcode($home_instagram_data); ?>
            </div>
        </div>
    </section>
    <!-- END OF INSTAGRAM SLIDER -->
<?php
} ?>