<?php
$service_banner_title = get_field('service_banner_title');
$service_banner_background_image = get_field('service_banner_background_image');
$service_banner_section_image = get_field('service_banner_section_image');
$service_banner_logo = get_field('service_banner_logo');

if (!empty($service_banner_title) || !empty($service_banner_background_image) || !empty($service_banner_section_image) || !empty($service_banner_logo)) {
?>
    <section class="service-banner" <?php echo esc_url($service_banner_background_image) ? "style='background-image: url(" . esc_url($service_banner_background_image) . ");'" : "" ?>>
        <div class="stripe"></div>
        <?php
        if (!empty($service_banner_section_image)) {
        ?>
            <div class="service-banner-img">
                <div class="back-img" style="background-image: url('<?php echo esc_url($service_banner_section_image); ?>');">
                </div>
            </div>
        <?php
        } ?>
        <div class="container">
            <div class="service-banner-content white-text wow fadeup-animation" data-wow-duration=".8s"
                data-wow-delay=".2s">
                <?php echo (!empty($service_banner_title)) ? '<h1 class="h2-title">' . wp_kses($service_banner_title, array('span' => array())) . '</h1>' : '';

                echo (!empty($service_banner_logo)) ? '<img src="' . esc_url($service_banner_logo['url']) . '" width="' . esc_attr($service_banner_logo['width']) . '" height="' . esc_attr($service_banner_logo['height']) . '" alt="' . esc_attr($service_banner_logo['alt']) . '">' : '';
                $contents = get_field('banner_description');
                if (!empty($contents)) {
                ?>
                    <div class="banner-text">
                        <?php echo wp_kses_post($contents); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
    <!-- END OF SERVICE BANNER  -->
<?php
}

$service_details_list_icon = get_field('service_details_list_icon');
$list_common_icons = get_field('list_common_icons', 'option');
$id = get_the_ID();

if (have_rows('service_details')) : ?>
    <section class="main-services">
        <?php while (have_rows('service_details')) : the_row();

            $Services_details_title = get_sub_field('Services_details_title');
            $Services_details_content = get_sub_field('Services_details_content');
            $services_details_image = get_sub_field('services_details_image');

            if (empty($Services_details_title) && empty($Services_details_content) && empty($services_details_image)) continue;

            $row_index = get_row_index();
            $is_odd = $row_index % 2 !== 0;
                $is_special_page = get_field('is_special_page');
            if (!$is_odd || $is_special_page == 'yes') : ?>
                <div class="main-service bg-primary">
                    <div class="container">
                        <div class="row">
                            <?php if (!empty($services_details_image)) : ?>
                                <div class="col-lg-6">
                                    <div class="main-service-image">
                                        <div class="back-img" style="background-image: url('<?php echo esc_url($services_details_image); ?>');"></div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="col-lg-6 align-self-center">
                                <div class="main-service-content wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                    <?php if (!empty($Services_details_title)) : ?>
                                        <h2 class="h2-title"><?php echo wp_kses($Services_details_title, array('span' => array())); ?></h2>
                                    <?php endif; ?>

                                    <?php if (!empty($Services_details_content)) : ?>
                                        <div class="main-service-text body-l">
                                            <?php echo wp_kses_post($Services_details_content); ?>
                                        </div>
                                    <?php endif; ?>

                                    <?php if (have_rows('services_details_points')) : ?>
                                        <ul>
                                            <?php while (have_rows('services_details_points')) : the_row();
                                                $details_points_title = get_sub_field('details_points_title');
                                                $details_points_content = get_sub_field('details_points_content');

                                                if (!empty($details_points_title) || !empty($details_points_content)) : ?>
                                                    <li <?php echo (empty($details_points_content)) ? 'class="service-points"' : ''; ?>>
                                                        <span class="mask-img"
                                                            style="-webkit-mask-image: url('<?php echo (!empty($service_details_list_icon)) ? esc_url($service_details_list_icon) : esc_url($list_common_icons); ?>'); width: 26px; height: 28px;"></span>
                                                        <div class="process-steps-content">
                                                            <?php echo (!empty($details_points_title)) ? '<strong>' . esc_html($details_points_title) . '</strong>' : ''; ?>
                                                            <?php echo (!empty($details_points_content)) ? wp_kses_post($details_points_content) : ''; ?>
                                                        </div>
                                                    </li>
                                            <?php endif;
                                            endwhile; ?>
                                        </ul>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php else : ?>
                <div class="main-service bg-white">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-6 order-lg-1 order-2 align-self-center">
                                <div class="main-service-content wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                                    <?php if (!empty($Services_details_title)) : ?>
                                        <h2 class="h2-title"><?php echo  wp_kses($Services_details_title, array('span' => array())); ?></h2>
                                    <?php endif; ?>

                                    <?php if (!empty($Services_details_content)) : ?>
                                        <div class="main-service-text body-l">
                                            <?php echo wp_kses_post($Services_details_content); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php if (!empty($services_details_image)) : ?>
                                <div class="col-lg-6 order-lg-2 order-1">
                                    <div class="main-service-image">
                                        <div class="back-img" style="background-image: url('<?php echo esc_url($services_details_image); ?>');"></div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        <?php endwhile; ?>
    </section>
<?php endif;
$show_in_page = get_field('show_in_page');
if ($show_in_page == 'yes') {
    $images = get_field('awards_service_gallery');
?>
    <div class="projects bg-white service-gallery">
        <div class="container">
            <!-- Tab Content Area -->
            <div class="tab-content wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".4s">
                <div class="row" id="tab-data">
                    <?php if(!empty($images)){  foreach( $images as $image ){ ?>
                    <div class="col-lg-4 col-sm-6">
                        <a href="<?php echo esc_url($image['url']); ?>" title="Image" data-fancybox="image">
                            <div class="back-img" style="background-image: url(<?php echo esc_url($image['url']); ?>);"></div>
                        </a>
                    </div>
                    <?php } }?>
                </div>
            </div>
            <!-- Load More Button -->
        </div>
    </div>

<?php
}
$service_benefits_title = get_field('service_benefits_title');

if (have_rows('service_benefits_list')) {
?>
    <section class="benefits">
        <div class="stripe"></div>
        <div class="container">
            <?php if (!empty($service_benefits_title)) {
            ?>
                <div class="sec-title wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                    <h2 class="h2-title"><?php echo wp_kses($service_benefits_title, array('span' => array())); ?></h2>
                </div>
            <?php
            } ?>
            <div class="benefits-slider wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s">
                <?php
                while (have_rows('service_benefits_list')) {
                    the_row();

                    $benefits_title = get_sub_field('benefits_title');
                    $benefits_content = get_sub_field('benefits_content');

                    if (!empty($benefits_title) || !empty($benefits_content)) {
                ?>
                        <div class="benefits-slide bg-dark">
                            <?php echo (!empty($benefits_title)) ? '<h6 class="h6-title">' . wp_kses($benefits_title, array('span' => array())) . '</h6>' : '';
                            if (!empty($benefits_content)) {
                            ?>
                                <div class="overflow-text" data-simplebar>
                                    <?php echo wp_kses_post($benefits_content); ?>
                                </div>
                            <?php
                            } ?>
                        </div>
                <?php
                    }
                } ?>
            </div>
        </div>
    </section>
    <!-- END OF MAIN SERVICE SECTION -->
<?php
}

$service_our_process_title = get_field('service_our_process_title');
$service_our_process_content = get_field('service_our_process_content');
$service_our_process_image = get_field('service_our_process_image');

if (!empty($service_our_process_title) || !empty($service_our_process_content) || !empty($service_our_process_image)) {
?>
    <section class="service-process bg-white">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 order-lg-1 order-2">
                    <div class="process-content wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php echo (!empty($service_our_process_title)) ? '<h2 class="h2-title">' . wp_kses($service_our_process_title, array('span' => array())) . '</h2>' : '';

                        echo (!empty($service_our_process_content)) ? wp_kses_post($service_our_process_content) : '';

                        if (have_rows('service_our_process_list')) {
                        ?>
                            <div class="process-steps">
                                <ul>
                                    <?php
                                    while (have_rows('service_our_process_list')) {
                                        the_row();

                                        $our_process_title = get_sub_field('our_process_title');
                                        $our_process_content = get_sub_field('our_process_content');

                                        if (!empty($our_process_title) || !empty($our_process_content)) {
                                    ?>
                                            <li>
                                                <span class="mask-img"
                                                    style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/shield.svg'); width: 24px; height: 26px;"></span>
                                                <div class="process-steps-content">
                                                    <?php echo (!empty($our_process_title)) ? '<strong>' . esc_html($our_process_title) . '</strong>' : '';

                                                    echo (!empty($our_process_content)) ? wp_kses_post($our_process_content) : '';
                                                    ?>
                                                </div>
                                            </li>
                                    <?php
                                        }
                                    } ?>
                                </ul>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
                <?php
                if (!empty($service_our_process_image)) {
                ?>
                    <div class="col-lg-6 order-lg-2 order-1">
                        <div class="process-image">
                            <div class="back-img"
                                style="background-image: url('<?php echo esc_url($service_our_process_image); ?>');">
                            </div>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
        </div>
    </section>
    <!-- END OF SERVICE PROCESS -->
<?php
} ?>
<?php
$service_contact_us_title = get_field('service_contact_us_title');
$service_contact_us_image = get_field('service_contact_us_image');
$service_contact_us_content = get_field('service_contact_us_content');
$service_contact_us_button_text = get_field('service_contact_us_button_text');
$service_contact_us_button_url = get_field('service_contact_us_button_url');

if (!empty($service_contact_us_title) || !empty($service_contact_us_content) || !empty($service_contact_us_image)) {
?>
    <section class="service-contact">
        <div class="stripe"></div>
        <div class="container">
            <div class="row">
                <?php
                if (!empty($service_contact_us_image)) {
                ?>
                    <div class="col-lg-6">
                        <div class="contact-img">
                            <div class="back-img"
                                style="background-image: url('<?php echo esc_url($service_contact_us_image); ?>');">
                            </div>
                        </div>
                    </div>
                <?php
                } ?>
                <div class="col-lg-6 align-self-center">
                    <div class="service-contact-content wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php
                        if (!empty($service_contact_us_title)) {
                        ?>
                            <div class="white-text">
                                <h2 class="h2-title"><?php echo esc_html($service_contact_us_title); ?></h2>
                            </div>
                        <?php
                        }
                        echo (!empty($service_contact_us_content)) ? wp_kses_post($service_contact_us_content) : '';

                        if (!empty($service_contact_us_button_text) && !empty($service_contact_us_button_url)) {
                        ?>
                            <a href="<?php echo esc_url($service_contact_us_button_url); ?>" class="sec-btn"
                                title="<?php echo esc_attr($service_contact_us_button_text); ?>"><?php echo esc_html($service_contact_us_button_text); ?></a>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF SERVICE PROCESS -->
<?php
} ?>