<?php
$about_banner_title = get_field('about_banner_title');
$about_banner_content = get_field('about_banner_content');
$about_banner_image = get_field('about_banner_image');
$about_banner_background_image = get_field('about_banner_background_image');

if (!empty($about_banner_title) || !empty($about_banner_content) || !empty($about_banner_image) || !empty($about_banner_background_image)) {
    ?>
    <section class="about-banner back-img" <?php echo $about_banner_background_image ? "style='background-image: url(" . esc_url($about_banner_background_image) . ");'" : "" ?>>
        <div class="container">
            <div class="row">
                <div class="col-lg-6 order-lg-1 order-2 align-self-center">
                    <div class="about-banner-content wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php echo (!empty($about_banner_title)) ? '<h1 class="h2-title">' . wp_kses($about_banner_title, array('span' => array())) . '</h1>' : '';
                        if (!empty($about_banner_content)) {
                            ?>
                            <div class="body-l">
                                <?php echo wp_kses_post($about_banner_content); ?>
                            </div>
                            <?php
                        } ?>
                    </div>
                </div>
                <?php
                if (!empty($about_banner_image)) {
                    ?>
                    <div class="col-lg-6 order-lg-2 order-1">
                        <div class="wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                            <div class="about-us-img">
                                <div class="back-img"
                                    style="background-image: url('<?php echo esc_url($about_banner_image); ?>');">
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                } ?>
            </div>
        </div>
    </section>
    <!-- END OF BANNER -->
    <?php
}

$about_us_mission_title = get_field('about_us_mission_title');
$about_us_mission_content = get_field('about_us_mission_content');
$about_us_mission_image = get_field('about_us_mission_image');

if (!empty($about_us_mission_title) || !empty($about_us_mission_content) || !empty($about_us_mission_image)) {
    ?>
    <section class="our-mission">
        <div class="container">
            <div class="row">
                <?php
                if (!empty($about_us_mission_image)) {
                    ?>
                    <div class="col-lg-5">
                        <div class="our-mission-image wow left-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                            <img src=" <?php echo esc_url($about_us_mission_image['url']); ?>"
                                width="<?php echo esc_attr($about_us_mission_image['width']); ?>"
                                height="<?php echo esc_attr($about_us_mission_image['height']); ?>"
                                alt="<?php echo esc_attr($about_us_mission_image['alt']); ?>">
                        </div>
                    </div>
                    <?php
                } ?>
                <div class="col-lg-7 align-self-center">
                    <div class="our-mission-content wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php echo (!empty($about_us_mission_title)) ? '<h2 class="h2-title">' . wp_kses($about_us_mission_title, array('span' => array())) . '</h2>' : '';
                        ?>
                        <div class=" body-l">
                            <?php
                            echo (!empty($about_us_mission_content)) ? wp_kses_post($about_us_mission_content) : '';
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF OUR MEAN -->
    <?php
}

$about_why_choose_us_main_title = get_field('about_why_choose_us_main_title');

if (have_rows('why_choose_us')) {
    ?>
    <section class="choose-us white-text">
        <?php
        if (!empty($about_why_choose_us_main_title)) {
            ?>
            <div class="sec-title text-center wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                <h2 class="h2-title"><?php echo esc_html($about_why_choose_us_main_title); ?></h2>
            </div>
            <?php
        } ?>
        <div class="choose-box-wp wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s">
            <?php
            while (have_rows('why_choose_us')) {
                the_row();

                $about_why_choose_us_title = get_sub_field('about_why_choose_us_title');
                $about_why_choose_us_content = get_sub_field('about_why_choose_us_content');
                $about_why_choose_us_image = get_sub_field('about_why_choose_us_image');

                if (!empty($about_why_choose_us_title) || !empty($about_why_choose_us_content) || !empty($about_why_choose_us_image)) {
                    ?>
                    <div class="choose-box">
                        <div class="choose-box-content">
                            <span><?php echo "0" . get_row_index(); ?></span>
                            <?php echo (!empty($about_why_choose_us_title)) ? '<h4 class="h4-title">' . esc_html($about_why_choose_us_title) . '</h4>' : '';
                            echo (!empty($about_why_choose_us_content)) ? wp_kses_post($about_why_choose_us_content) : '';
                            ?>
                        </div>
                        <?php
                        if (!empty($about_why_choose_us_image)) {
                            ?>
                            <div class="choose-box-image back-img"
                                style="background-image: url('<?php echo esc_html($about_why_choose_us_image); ?>');">
                            </div>
                            <?php
                        } ?>
                    </div>
                    <?php
                }
            } ?>

        </div>
    </section>
    <!-- END OF CHOOSE US -->
    <?php
}

$about_facility_title = get_field('about_facility_title');
$about_facility_background_image = get_field('about_facility_background_image');
$about_facility_content = get_field('about_facility_content');

if (!empty($about_facility_title) || !empty($about_facility_background_image) || !empty($about_facility_content)) {
    ?>
    <section class="facility back-img" <?php echo $about_facility_background_image ? "style='background-image: url(" . esc_url($about_facility_background_image) . ");'" : "" ?>>
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="facility-content wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php echo (!empty($about_facility_title)) ? '<h2 class="h2-title">' . wp_kses($about_facility_title, array('span' => array())) . '</h2>' : '';

                        echo (!empty($about_facility_content)) ? wp_kses_post($about_facility_content) : '';
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF FACILITY -->
    <?php
} ?>

<?php get_template_part('template-parts/content', 'certification-awards') ?>
<!-- END OF AWARDS -->


<?php get_template_part('template-parts/content', 'customer-testimonials') ?>
<!-- END OF TESTIMONIAL SECTION -->

<!---- Starting Of Contact US Section ----->
<?php
$about_contact_us_title = get_field('about_contact_us_title',get_the_ID());
$about_contact_us_image = get_field('about_contact_us_image',get_the_ID());
$about_contact_us_content = get_field('about_contact_us_content',get_the_ID());
$about_contact_us_button_text = get_field('about_contact_us_button_text',get_the_ID());
$about_contact_us_button_url = get_field('about_contact_us_button_url',get_the_ID());

if (!empty($about_contact_us_title) || !empty($about_contact_us_content) || !empty($about_contact_us_image)) {
    ?>
    <section class="service-contact">
        <div class="stripe"></div>
        <div class="container">
            <div class="row">
                <?php
                if (!empty($about_contact_us_image)) {
                    ?>
                    <div class="col-lg-6">
                        <div class="contact-img">
                            <div class="back-img"
                                style="background-image: url('<?php echo esc_url($about_contact_us_image['url']); ?>');">
                            </div>
                        </div>
                    </div>
                    <?php
                } ?>
                <div class="col-lg-6 align-self-center">
                    <div class="service-contact-content wow right-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php
                        if (!empty($about_contact_us_title)) {
                            ?>
                            <div class="white-text">
                                <h2 class="h2-title"><?php echo esc_html($about_contact_us_title); ?></h2>
                            </div>
                            <?php
                        }
                        echo (!empty($about_contact_us_content)) ? wp_kses_post($about_contact_us_content) : '';

                        if (!empty($about_contact_us_button_text) && !empty($about_contact_us_button_url)) {
                            ?>
                            <a href="<?php echo esc_url($about_contact_us_button_url); ?>" class="sec-btn"
                                title="<?php echo esc_attr($about_contact_us_button_text); ?>"><?php echo esc_html($about_contact_us_button_text); ?></a>
                            <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF SERVICE PROCESS -->
    <?php
} ?>
<!---- Ending Of Contact US Section ----->