<?php
$contact_banner_title = get_field('contact_banner_title');
$contact_banner_background_image = get_field('contact_banner_background_image');
$contact_banner_section_image = get_field('contact_banner_section_image');

if (!empty($contact_banner_title) || !empty($contact_banner_background_image) || !empty($contact_banner_section_image)) {
?>
    <section class="service-banner" <?php echo esc_url($contact_banner_background_image) ? "style='background-image: url(" . esc_url($contact_banner_background_image) . ");'" : "" ?>>
        <div class="stripe"></div>
        <?php
        if (!empty($contact_banner_section_image)) {
        ?>
            <div class="service-banner-img">
                <div class="back-img" style="background-image: url('<?php echo esc_url($contact_banner_section_image); ?>');"></div>
            </div>
        <?php
        }
        if (!empty($contact_banner_title)) {
        ?>
            <div class="container">
                <div class="service-banner-content white-text wow fadeup-animation" dara-wow-duration=".8s" data-wow-delay=".2s">
                    <h1 class="h1-title"><?php echo esc_html($contact_banner_title); ?></h1>
                </div>
            </div>
        <?php
        } ?>
    </section>
    <!-- END OF SERVICE BANNER  -->
<?php
} ?>

<?php
$contact_title = get_field('contact_title');
$contact_form  = get_field('contact_form');

$footer_content         = get_field('footer_content', 'option');
$email                     = get_field('email', 'option');
$phone_number             = get_field('phone_number', 'option');
$address                 = get_field('address', 'option');

if (!empty($contact_title) || !empty($contact_form) || !empty($footer_content) || !empty($email) || !empty($phone_number)) {
?>
    <section class="contact-main bg-light">
        <div class="container">
            <div class="contact-wp bg-white wow fadeup-animation" data-wow-delay=".8s" data-wow-duration=".2s">
                <div class="contact-info">
                    <div class="stripe"></div>
                    <div class="sec-wp">
                        <?php
                        if (!empty($contact_title)) {
                        ?>
                            <div class="white-text">
                                <h4 class="h4-title"><?php echo esc_html($contact_title); ?></h4>
                            </div>
                        <?php
                        }
                        if (!empty($footer_content)) {
                        ?>
                            <div class="body-l">
                                <?php echo wp_kses_post($footer_content); ?>
                            </div>
                        <?php
                        } ?>
                        <div class="contact-options">
                            <ul>
                                <?php
                                if (!empty($phone_number)) {
                                ?>
                                    <li>
                                        <a href="<?php echo esc_url($phone_number['url']); ?>" title="Call to <?php echo esc_attr($phone_number['title']); ?>">
                                            <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/call-fill.svg'); width: 19px; height: 19px;"></span>
                                            <span class="callus"><?php echo esc_html($phone_number['title']); ?></span>
                                        </a>
                                    </li>
                                <?php
                                }
                                if (!empty($email)) {
                                ?>
                                    <li>
                                        <a href="mailto:<?php echo esc_url($email); ?>" title="Mail to <?php echo esc_attr($email); ?>">
                                            <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/mail-fill.svg'); width: 18px; height: 22px;"></span>
                                            <?php echo esc_html($email); ?>
                                        </a>
                                    </li>
                                <?php
                                }
                                if (!empty($address)) {
                                ?>
                                    <li>
                                        <a href="<?php echo esc_url($address['url']); ?>" target="<?php echo esc_attr($address['target']); ?>" title="<?php echo esc_attr($address['title']); ?>">
                                            <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/pin-fill.svg'); width: 16px; height: 20px;"></span>
                                            <?php echo esc_html($address['title']); ?>
                                        </a>
                                    </li>
                                <?php
                                } ?>
                            </ul>
                        </div>
                        <div class="footer-socials contact-socials">
                            <ul>
                                <?php
                                $facebook_url  = get_field('facebook_url', 'option');
                                if (!empty($facebook_url)) {
                                ?>
                                    <li>
                                        <a href="<?php echo esc_url($facebook_url['url']); ?>" title="<?php echo esc_attr($facebook_url['title']); ?>" target="<?php echo esc_attr($facebook_url['target']); ?>">
                                            <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/Facebook.svg');"></span>
                                        </a>
                                    </li>
                                <?php
                                }
                                $instagram_url = get_field('instagram_url', 'option');
                                if (!empty($instagram_url)) {
                                ?>
                                    <li>
                                        <a href="<?php echo esc_url($instagram_url['url']); ?>" title="<?php echo esc_attr($instagram_url['title']); ?>" target="<?php echo esc_attr($instagram_url['target']); ?>">
                                            <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/09/Instagram.svg');"></span>
                                        </a>
                                    </li>
                                <?php
                                } ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <?php
                if (!empty($contact_form)) {
                ?>
                    <div class="contact-form">
                        <?php
                        echo do_shortcode('[contact-form-7 id="' . $contact_form->ID . '" title="' . $contact_form->post_title . '"]');
                        ?>
                    </div>
                <?php
                } ?>
            </div>
        </div>
    </section>
    <!-- END OF COTNACT INFO  -->
<?php
} ?>