<?php
$testimonials_title   = get_field('testimonials_title', 'option');
$testimonials_content = get_field('testimonials_content', 'option');

$args = array(
    'post_type' => 'testimonial',
    'post_status' => 'publish',
    'posts_per_page' => -1,
);
$query = new WP_Query($args);

if ($query->have_posts()) {
?>
    <section class="testimonials" id="reviews">
        <div class="stripe"></div>
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="sec-title wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                        <?php echo (!empty($testimonials_title)) ? '<h2 class="h2-title">' . wp_kses($testimonials_title, array('span' => array())) . '</h2>' : '';
                        if (!empty($testimonials_content)) {
                        ?>
                            <div class="body-l opacity-07">
                                <?php echo wp_kses_post($testimonials_content); ?>
                            </div>
                        <?php
                        } ?>
                    </div>
                    <div class="testimonial-slider-wp wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s">
                        <div class="testimonial-slider">
                            <?php
                            while ($query->have_posts()) {
                                $query->the_post();
                                $title = get_the_title();
                                $content = get_the_content();

                                if(!empty($title) && !empty($content)){
                                    ?>  
                                    <div class="testimonials-box bg-white">
                                        <?php
                                        $star_rating = get_field('star_rating');

                                        if (!empty($star_rating)) {
                                            $width = $star_rating * 20;
                                        ?>
                                            <div class="star-rating-wp">
                                                <div class="star-rating"><span class="star-rating__fill" style="width:<?php echo $width . '%'; ?>"></span></div>
                                            </div>
                                        <?php
                                        } ?>
                                        <div class="overflow-text" data-simplebar>
                                            <?php the_content(); ?>
                                        </div>
                                        <div class="testimonials-author">
                                            <h6 class="h6-title"><?php the_title(); ?></h6>
                                        </div>
                                    </div>
                                    <?php
                                }
                            } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
}
wp_reset_postdata();
?>