<?php
$project_banner_title = get_field('project_banner_title');
$project_banner_background_image = get_field('project_banner_background_image');
$project_banner_section_image = get_field('project_banner_section_image');

if (!empty($project_banner_title) || !empty($project_banner_background_image) || !empty($project_banner_section_image)) {
?>
    <section class="service-banner" <?php echo esc_url($project_banner_background_image) ? "style='background-image: url(" . esc_url($project_banner_background_image) . ");'" : "" ?>>
        <div class="stripe"></div>
        <?php
        if (!empty($project_banner_section_image)) {
        ?>
            <div class="service-banner-img">
                <div class="back-img" style="background-image: url('<?php echo esc_url($project_banner_section_image); ?>');"></div>
            </div>
        <?php
        }
        if (!empty($project_banner_title)) {
        ?>
            <div class="container">
                <div class="service-banner-content white-text wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".2s">
                    <h1 class="h1-title"><?php echo esc_html($project_banner_title); ?></h1>
                </div>
            </div>
        <?php
        } ?>
    </section>
    <!-- END OF SERVICE BANNER  -->
<?php
} ?>
<div class="projects bg-white">
    <div class="container">
        <!-- Tab Navigation -->
        <?php if (have_rows('project_image_and_video')) {
        ?>
            <div class="project-tabs wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".3s" id="project-tabs">
                <ul>
                    <?php
                    while (have_rows('project_image_and_video')) {
                        the_row();

                        $image_video_tabs = get_sub_field('image_video_tabs');
                    ?>
                        <li class="" data-page-id="<?php echo get_the_ID(); ?>" data-tab-id="<?php echo esc_html($image_video_tabs); ?>"><?php echo esc_html($image_video_tabs); ?></li>
                    <?php
                    } ?>
                </ul>
            </div>
        <?php
        } ?>

        <!-- Tab Content Area -->
        <div class="tab-content wow fadeup-animation" data-wow-duration=".8s" data-wow-delay=".4s">
            <div class="row" id="tab-data">
                <?php
                while (have_rows('project_image_and_video')) {
                    the_row();
                    $rows = get_sub_field('projects_videos');

                    if (have_rows('projects_videos')) {
                        $count = 1;
                        $numrows = count($rows);

                        while (have_rows('projects_videos')) {
                            the_row();
                            $video_thumbnail = get_sub_field('video_thumbnail');
                            $video_url       = get_sub_field('video_url');
                            $limit = 6;
                            $total_page = ceil($numrows / $limit);

                            if ($count <= $limit) {
                                if (!empty($video_url)) {
                ?>
                                    <div class="col-lg-4 col-sm-6">
                                        <a href="<?php echo esc_url($video_url); ?>" title="video<?php echo get_row_index(); ?>" data-fancybox="video">
                                            <div class="back-img" style="background-image: url('<?php echo esc_url($video_thumbnail); ?>');">
                                                <div class="play-btn"></div>
                                            </div>
                                        </a>
                                    </div>
                <?php
                                }
                            }
                            $count++;
                        }
                    }
                } ?>
            </div>
        </div>
        <?php
        $project_button_text = get_field('project_button_text');

        if ($numrows > $limit) {
            if (!empty($project_button_text)) {
        ?>
                <!-- Load More Button -->
                <div class="load-more-btn">
                    <button type="button" id="load-more" data-total-page="<?php echo $total_page; ?>" data-current-page="1" class="sec-btn" title="<?php echo esc_attr(ucwords(strtolower($project_button_text))); ?>"><?php echo esc_html($project_button_text); ?></button>
                    <i class="fas fa-spinner fa-spin"></i>
                </div>
        <?php
            }
        } ?>
    </div>
</div>