<?php

$front_page_id = get_option('page_on_front');

$home_banner_title = get_field('home_banner_title', $front_page_id);
$home_banner_background_image = get_field('home_banner_background_image', $front_page_id);
$home_banner_image = get_field('home_banner_image', $front_page_id);
$home_banner_content = get_field('home_banner_content', $front_page_id);

$request_button_label = get_field('request_button_label', 'option');
$request_button_url = get_field('request_button_url', 'option');
$phone_number = get_field('phone_number', 'option');
$phone_number_label = get_field('phone_number_label', 'option');


if (!empty($home_banner_title) || !empty($home_banner_background_image) || !empty($home_banner_image) || !empty($home_banner_content)) {
?>
    <section class="main-banner seo-banner back-img" <?php echo esc_url($home_banner_background_image) ? "style='background-image: url(" . esc_url($home_banner_background_image) . ");'" : "" ?>>
        <div class="container">
            <div class="banner-content-wp">
                <div class="row">
                    <div class="col-lg-5 align-self-center">
                        <div class="banner-content">
                            <div class="white-text">
                                <?php echo (!empty($home_banner_title)) ? '<h2 class="h1-title">' . wp_kses($home_banner_title, array('span' => array())) . '</h2>' : '';
                                if (!empty($home_banner_content)) {
                                ?>
                                    <div class="body-xl">
                                        <?php echo wp_kses_post($home_banner_content) ?>
                                    </div>
                                <?php
                                }
                                if (!empty($phone_number) || !empty($request_button_url)) {
                                ?>
                                    <div class="banner-btn">
                                        <?php
                                        if (!empty($request_button_label) && !empty($request_button_url)) {
                                        ?>
                                            <a href="<?php echo esc_url($request_button_url); ?>" class="sec-btn"
                                                title="<?php echo esc_attr($request_button_label); ?>"><?php echo esc_html($request_button_label); ?></a>
                                        <?php
                                        }
                                        if (!empty($phone_number) && !empty($phone_number_label)) { ?>
                                            <a href="<?php echo esc_url($phone_number['url']); ?>" class="sec-btn transparent-btn"
                                                title="<?php echo esc_attr($phone_number_label); ?>"><?php echo esc_html($phone_number_label); ?></a>
                                        <?php
                                        } ?>
                                    </div>
                                <?php
                                } ?>
                            </div>
                        </div>
                    </div>
                    <?php
                    $seo_form       = get_field('seo_form', 'option');
                    $seo_form_title = get_field('seo_form_title', 'option');

                    if (!empty($seo_form)) {
                    ?>
                        <div class="col-lg-7">
                            <div class="seo-form bg-white">
                                <?php echo do_shortcode('[contact-form-7 id="' . $seo_form->ID . '" title="' . $seo_form->post_title . '"]'); ?>
                            </div>
                        </div>
                    <?php
                    } ?>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF MAIN BANNER -->
<!-- SEO Content Start -->
<section class="main-seo-content">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="sec-title wow fadeup-animation">
                    <h1 class="h2-title"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="excerpt-content wow fadeup-animation">
                    <?php the_content(); ?>
                </div>
                <?php
                $seo_button_label = get_field('seo_button_label', 'option');

                if (!empty($seo_button_label)) { ?>
                    <div class="submit-btn wow fadeup-animation">
                        <button type="button" id="read-more" title="<?php echo esc_attr($seo_button_label); ?>" class="sec-btn" aria-label="<?php echo esc_attr($seo_button_label) . "," . get_the_title(); ?>"><?php echo esc_html($seo_button_label); ?></button>
                    </div>
                <?php
                } ?>
            </div>
        </div>
    </div>
</section>
<!-- SEO Content End -->